Bug 512237

Summary: [LTC 5.5 FEAT] N-Port-ID (NPIV) install support for Linux on Power [201957]
Product: Red Hat Enterprise Linux 5 Reporter: IBM Bug Proxy <bugproxy>
Component: anacondaAssignee: Martin Gracik <mgracik>
Status: CLOSED ERRATA QA Contact: Alexander Todorov <atodorov>
Severity: high Docs Contact:
Priority: high    
Version: 5.5CC: andriusb, aparanja, atodorov, borgan, cward, dallan, ddumas, dmach, jjarvis, tao
Target Milestone: betaKeywords: FutureFeature, OtherQA
Target Release: 5.5   
Hardware: ppc64   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-30 04:01:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 503235    
Bug Blocks: 533941, 557292, 481160, 531114    

Description IBM Bug Proxy 2009-07-16 15:10:42 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201957]
a. Name of Feature:	N-Port-ID (NPIV) install support for Linux on Power
b. Feature Description
NPort ID Virtualization (NPIV) allows one physical Fibre Channel adapter port to appear to the SAN
as many WWNN/WWPN pairs. NPIV would be used by IO hosting LPARs so that different hosted LPARs can
be represented in the SAN as different WWNN/WWPN thus making the hosted LPARs more manageable within
the SAN for zoning and LUN assignment as individual entities. This feature covers changes to the
installer, particularly changes to kudzu and anaconda, in order to support installing to an NPIV LUN
on a Power LPAR.

2. Feature Details:
Sponsor:	PPC - P
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Delivery Mechanism: Request Red Hat development assistance
Category:	Installation
Request Type:	Installer - Enhancement from Distributor
d. Upstream Acceptance:	Not Evaluated
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	unsure
g. Component Version Target:	

3. Business Case
For customers using a SAN for their storage, NPIV simplifies their data center, by allowing them
manage all their storage from the SAN.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Brian King, bjking1@us.ibm.com

IBM Manager:
Alexander Johnson, acjohnso@us.ibm.com
Comment 1 IBM Bug Proxy 2009-09-10 14:51:03 EDT
------- Comment From brking@us.ibm.com 2009-09-10 14:48 EDT-------
This is what needs to change in the installer as I understand it:

1. Add ibmvfc.ko to /modules/modules.cgz in the initrd
2. Add the following lines to /modules/module-info:

ibmvfc
scsi
"IBM Power Virtual Fibre Channel"

3. Update /modules/modules.alias to add an entry for ibmvfc:

alias vio:TfcpSIBM,vfc-client* ibmvfc

4. Update /usr/lib/anaconda-runtime/loader/module-info in stage2.img
to include the following:

ibmvfc
scsi_hostadapter
"Power6 Virtual FC"

5. Update kudzu to understand virtual FC. There is a separate bug opened for that (LTC53625/RH503235).

With these changes we were able to get the RHEL installer working with
Virtual FC support. The only thing that still does not work is the boot-device
setting is not getting set to the installed device at the end of install. I
wasn't able to track down how that gets setup in the installer. Something has
to call nvsetenv to set this up, but the only code I found was in ybin which
didn't seem to make sense as that didn't seem to support a lot of supported
pSeries devices. Any idea what might still be missing?
Comment 5 Denise Dumas 2009-10-16 09:56:06 EDT
On the assumption that this REALLY is limited to the work description in Comment 1, I am adding a dev ack for the anaconda portion of this. 

If it turns into any additional work, I will have to remove the ack and move this to a later release.
Comment 6 John Jarvis 2009-10-16 10:38:41 EDT
IBM is signed up to test and provide feedback.
Comment 8 John Jarvis 2009-10-29 12:52:08 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 9 Martin Gracik 2009-11-13 09:37:13 EST
Will be fixed in version 11.1.2.197
Comment 11 IBM Bug Proxy 2010-02-10 10:20:53 EST
------- Comment From brking@us.ibm.com 2010-02-10 10:11 EDT-------
Successfully installed RHEL 5.5 Beta to a Virtual Fibre channel LUN.
Comment 12 Alexander Todorov 2010-02-18 11:06:40 EST
moving to VERIFIED as per comment #11
Comment 14 errata-xmlrpc 2010-03-30 04:01:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0194.html